Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
deploy-requests
List deploy requests
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/deploy-requests \
  --header 'Authorization: Bearer <token>'
{
  "type": "<string>",
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "number": 123,
      "actor": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      },
      "branch": "<string>",
      "branch_id": "<string>",
      "branch_deleted": true,
      "branch_deleted_at": "<string>",
      "into_branch": "<string>",
      "into_branch_sharded": true,
      "into_branch_shard_count": 123,
      "approved": true,
      "state": "open",
      "deployment_state": "pending",
      "deployment": {
        "id": "<string>",
        "auto_cutover": true,
        "auto_delete_branch": true,
        "created_at": "<string>",
        "cutover_at": "<string>",
        "cutover_expiring": true,
        "finished_at": "<string>",
        "queued_at": "<string>",
        "ready_to_cutover_at": "<string>",
        "started_at": "<string>",
        "state": "pending",
        "submitted_at": "<string>",
        "updated_at": "<string>",
        "into_branch": "<string>",
        "deploy_request_number": 123,
        "deployable": true,
        "preceding_deployments": [
          {}
        ],
        "deploy_operations": [
          {
            "id": "<string>",
            "state": "pending",
            "keyspace_name": "<string>",
            "table_name": "<string>",
            "operation_name": "<string>",
            "eta_seconds": 123,
            "progress_percentage": 123,
            "deploy_error_docs_url": "<string>",
            "ddl_statement": "<string>",
            "syntax_highlighted_ddl": "<string>",
            "created_at": "<string>",
            "updated_at": "<string>",
            "throttled_at": "<string>",
            "can_drop_data": true,
            "table_locked": true,
            "table_recently_used": true,
            "table_recently_used_at": "<string>",
            "removed_foreign_key_names": [
              "<string>"
            ],
            "deploy_errors": "<string>"
          }
        ],
        "deploy_operation_summaries": [
          {
            "id": "<string>",
            "created_at": "<string>",
            "deploy_errors": "<string>",
            "ddl_statement": "<string>",
            "eta_seconds": 123,
            "keyspace_name": "<string>",
            "operation_name": "<string>",
            "progress_percentage": 123,
            "state": "pending",
            "syntax_highlighted_ddl": "<string>",
            "table_name": "<string>",
            "table_recently_used_at": "<string>",
            "throttled_at": "<string>",
            "removed_foreign_key_names": [
              "<string>"
            ],
            "shard_count": 123,
            "shard_names": [
              "<string>"
            ],
            "can_drop_data": true,
            "table_recently_used": true,
            "sharded": true,
            "operations": [
              {
                "id": "<string>",
                "shard": "<string>",
                "state": "pending",
                "progress_percentage": 123,
                "eta_seconds": 123
              }
            ]
          }
        ],
        "lint_errors": [
          {}
        ],
        "sequential_diff_dependencies": [
          {}
        ],
        "lookup_vindex_operations": [
          {}
        ],
        "deployment_revert_request": {},
        "schema_last_updated_at": "<string>",
        "table_locked": true,
        "instant_ddl": true,
        "instant_ddl_eligible": true,
        "queue_paused": true,
        "queue_pause_reason": "<string>",
        "deploy_check_errors": "<string>",
        "throttler_configurations": {},
        "actor": {
          "id": "<string>",
          "display_name": "<string>",
          "avatar_url": "<string>"
        },
        "cutover_actor": {
          "id": "<string>",
          "display_name": "<string>",
          "avatar_url": "<string>"
        },
        "cancelled_actor": {
          "id": "<string>",
          "display_name": "<string>",
          "avatar_url": "<string>"
        },
        "locked_table_name": "<string>"
      },
      "num_comments": 123,
      "html_url": "<string>",
      "notes": "<string>",
      "html_body": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "closed_at": "<string>",
      "deployed_at": "<string>",
      "closed_by": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      },
      "branch_deleted_by": {
        "id": "<string>",
        "display_name": "<string>",
        "avatar_url": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://planetscale.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The name of the deploy request's organization

database
string
required

The name of the deploy request's database

Query Parameters

state
string

Filter by state of the deploy request (open, closed, deployed)

branch
string

Filter by the name of the branch the deploy request is created from

into_branch
string

Filter by the name of the branch the deploy request will be merged into

deployed_at
string

Filter deploy requests by the date they were deployed. (e.g. 2023-01-01T00:00:00Z..2023-01-31T23:59:59Z)

running_at
string

Filter deploy requests by the date they were running. (e.g. 2023-01-01T00:00:00Z..2023-01-31T23:59:59Z)

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns a list of deploy requests

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required